cURL
curl --request POST \
--url https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": "residential",
"vertical": "sneakers_release|product_release_goods",
"ext_cust_email": "johndoe@example.com",
"asn_targeting": 1
}
'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential"
payload = {
"zone": "residential",
"vertical": "sneakers_release|product_release_goods",
"ext_cust_email": "johndoe@example.com",
"asn_targeting": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
zone: 'residential',
vertical: 'sneakers_release|product_release_goods',
ext_cust_email: 'johndoe@example.com',
asn_targeting: 1
})
};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "CUSTOMER_ID",
"zone": "ZONE",
"password": "PASSWORD",
"api_token": "API_KEY"
}Reseller API
在住宅区域注册客户
POST
/
api
/
{PARTNER_NAME}
/
signup_residential
cURL
使用
vertical 和 ext_cust_email 以垂直行业信息注册客户授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
路径参数
将处理您请求的代理区域名称。
请求体
application/json
区域名称
示例:
"residential"
区域垂直类型。可以是 sneakers_release 或 product_release_goods
示例:
"sneakers_release|product_release_goods"
现有可信客户的邮箱。使用 product_release_goods 垂直类型时需指定此参数
示例:
"johndoe@example.com"
启用城市定向权限
示例:
1
响应
200 - application/json
成功
The response is of type object.
此页面对您有帮助吗?